c     Copyright (C)
c     2010-2013 Universit Bordeaux 1
c     2010-2013 Ecole des Mines d'Albi
c     2014-2018 - Mesostar
c     
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine error(label)
      implicit none
      include 'max.inc'
c
c     Purpose: to display the name of the subroutine the error originates from
c
c     Input:
c       + label: name of the subroutine that generates the error
c

c     I/O
      character*(Nchar_mx) label
c     temp
      integer strlen

      write(*,*) 'Error from ',label(1:strlen(label)),' :'

      return
      end



      subroutine warning(label)
      implicit none
      include 'max.inc'
c
c     Purpose: to display the name of the subroutine the warning originates from
c
c     Input:
c       + label: name of the subroutine that generates the error
c

c     I/O
      character*(Nchar_mx) label
c     temp
      integer strlen

      write(*,*) 'Warning from ',label(1:strlen(label)),' :'

      return
      end
